import numpy as np
from mayavi import mlab

t = np.linspace(0, 5 * np.pi, 100)
x = t * np.cos(t)
y = t * np.sin(t)
z = t

s = mlab.plot3d(x, y, z, z, colormap="rainbow",
                tube_radius=0.5, tube_sides=6)
mlab.show()
